#!/bin/sh
# Script used to collect together and archive the various distributions.

# The MacOS distribution can only be created on a MacOS platform
# but this can be commented out for running this on other platforms.

# The Source distribution can only be created on the original developer's
# system since the SVN repository is not public.  Comment that section out
# to run this script on your system.

# Build the windows distribution.
DEST_FILE_PFX="StdAtmosphere_Windows"
DEST_DIR="dist/"$DEST_FILE_PFX
rm -rf $DEST_DIR &>/dev/null
mkdir $DEST_DIR
mkdir $DEST_DIR/Licenses
cp Licenses/*.* $DEST_DIR/Licenses/.
cp dist/Atmosphere.jar $DEST_DIR/.
cp README.txt $DEST_DIR/.
fold -s $DEST_DIR/README.txt > $DEST_DIR/tmp.txt
unix2dos -n $DEST_DIR/tmp.txt $DEST_DIR/README.txt
rm $DEST_DIR/tmp.txt
cd dist
rm $DEST_FILE_PFX.zip &>/dev/null
zip -9 -l -r $DEST_FILE_PFX $DEST_FILE_PFX
cd ..

# Build the Linux distribution.
DEST_FILE_PFX="StdAtmosphere_Linux_and_Others"
DEST_DIR="dist/"$DEST_FILE_PFX
rm -rf $DEST_DIR &>/dev/null
mkdir $DEST_DIR
mkdir $DEST_DIR/Licenses
cp Licenses/*.* $DEST_DIR/Licenses/.
cp dist/Atmosphere.jar $DEST_DIR/.
cp README.txt $DEST_DIR/.
tar -cvzf dist/$DEST_FILE_PFX.tgz -C dist $DEST_FILE_PFX

# Build the source code distribution.
DEST_FILE_PFX="StdAtmosphere_Source"
DEST_DIR="dist/"$DEST_FILE_PFX
rm -rf $DEST_DIR &>/dev/null
svn export file:///Users/jhuwaldt/Programming/Repositories/Atmosphere/trunk $DEST_DIR
rm -rf $DEST_DIR/art
mkdir $DEST_DIR/dist
cp dist/Atmosphere.jar $DEST_DIR/dist/.
mkdir $DEST_DIR/Third_Party
cp -r ../../MyJavaLib/JARs/jscience-4.3 $DEST_DIR/Third_Party/.
rm -rf $DEST_DIR/Third_Party/jscience-4.3/api &>/dev/null
cp -r ../../MyJavaLib/JARs/JSR-275_0.9.4_mod $DEST_DIR/Third_Party/.
cp -r ../../MyJavaLib/universalJavaApplicationStub-mod $DEST_DIR/Third_Party/.
rm -r $DEST_DIR/Third_Party/universalJavaApplicationStub-mod/arm64
rm -r $DEST_DIR/Third_Party/universalJavaApplicationStub-mod/x86_64
rm -r $DEST_DIR/Third_Party/universalJavaApplicationStub-mod/universalJavaApplicationStub
cp -r ../../MyJavaLib/universal_jre-main $DEST_DIR/Third_Party/.
cp -r ../../MyJavaLib/JarBundler-master $DEST_DIR/Third_Party/.
cd dist
rm $DEST_FILE_PFX.zip &>/dev/null
zip -9 -r $DEST_FILE_PFX $DEST_FILE_PFX
cd ..


# Build the MacOS distribution.
export DEST_FILE_PFX="StdAtmosphere_MacOS"
export DEST_DIR="dist/"$DEST_FILE_PFX
rm -rf $DEST_DIR &>/dev/null
mkdir $DEST_DIR
mkdir $DEST_DIR/Licenses
cp Licenses/*.* $DEST_DIR/Licenses/.
cp -r dist/Atmosphere.app $DEST_DIR/.
cp README.txt $DEST_DIR/.
hdiutil create dist/StdAtmosphere_tmp.dmg -srcfolder $DEST_DIR -fs HFS+ -format UDRW -volname "1976 Std. Atmosphere" -ov 
# hdiutil convert dist/StdAtmosphere_tmp.dmg -format UDBZ -o dist/$DEST_FILE_PFX.dmg
# rm dist/StdAtmosphere_tmp.dmg

